<template>
  <el-select v-model="value" placeholder="Select output format">
    <el-option
      v-for="item in options"
      :key="item.value"
      :label="item.label"
      :value="item"
    />
  </el-select>
</template>

<script lang="ts" setup>
export interface Props {
  modelValue?: { value: string; label: string };
}
const props = defineProps<Props>();
const emit = defineEmits<{
  (
    e: "update:modelValue",
    val: { value: string; label: string } | undefined
  ): void;
}>();

const value = useVModel(props, "modelValue", emit);

const options = [
  {
    value: "mov",
    label: "mov",
  },
  {
    value: "webm",
    label: "webm",
  },
  {
    value: "mp4",
    label: "mp4",
  },
  {
    value: "mpeg",
    label: "mpeg",
  },
  {
    value: "3gp",
    label: "3gp",
  },
];

if (value.value === undefined) {
  value.value = options[0];
}
</script>
